import { Mock } from './mock';
import { MockedResponse, MockOptions, RequestMatcher, ShorthandRequestMatcher } from './types';
import { BrowserPage } from './controllers/BrowserControllerFactory';
export interface MockiavelliOptions {
    debug: boolean;
}
export declare class Mockiavelli {
    private mocks;
    constructor(options?: Partial<MockiavelliOptions>);
    static setup(page: BrowserPage, options?: Partial<MockiavelliOptions>): Promise<Mockiavelli>;
    private activate;
    mock(matcher: RequestMatcher, response: MockedResponse, options?: Partial<MockOptions>): Mock;
    mockGET(matcher: ShorthandRequestMatcher, response: MockedResponse, options?: Partial<MockOptions>): Mock;
    mockPOST(matcher: ShorthandRequestMatcher, response: MockedResponse, options?: Partial<MockOptions>): Mock;
    mockPUT(matcher: ShorthandRequestMatcher, response: MockedResponse, options?: Partial<MockOptions>): Mock;
    mockDELETE(matcher: ShorthandRequestMatcher, response: MockedResponse, options?: Partial<MockOptions>): Mock;
    mockPATCH(matcher: ShorthandRequestMatcher, response: MockedResponse, options?: Partial<MockOptions>): Mock;
    removeMock(mock: Mock): Mock | void;
    private onRequest;
}
//# sourceMappingURL=mockiavelli.d.ts.map