/// <reference types="node" />
import { HttpMethod, RequestMatcher, ShorthandRequestMatcher } from './types';
import { BrowserRequest } from './controllers/BrowserController';
export declare function tryJsonParse(data: any): any | undefined;
export declare class TimeoutError extends Error {
}
export declare function waitFor(fn: () => boolean, timeout?: number): Promise<void>;
export declare function printRequest(request: BrowserRequest): string;
export declare function nth(d: number): string;
export declare function addMockByPriority<T extends {
    options: {
        priority: number;
    };
}>(mockArr: T[], mock: T): T[];
export declare function createRequestMatcher(input: ShorthandRequestMatcher, method: HttpMethod): RequestMatcher;
export declare function getCorsHeaders(request: BrowserRequest): Record<string, string>;
/**
 * Sanitize headers object from empty or null values
 * because they make request hang indefinitely in puppeteer
 */
export declare function sanitizeHeaders(headers: Record<string, string | undefined>): Record<string, string>;
export declare function printResponse(status: number, headers: Record<string, string>, body: Buffer): string;
export declare function getOrigin(originUrl?: string): string;
//# sourceMappingURL=utils.d.ts.map